variable "statemachine_name" {
  type        = string
  description = "Name of the state machine"
}

variable "role_arn" {
  type        = string
  description = "ARN of the IAM Role of the state machine"
}

variable "statemachine_definition" {
  type        = string
  description = "Amazon States Language definition of the state machine"
}

variable "lambda_arn" {
  type        = string
  description = "Lambda Function ARN used in statemachine_definition"
}

variable "cloudwatch_retention" {
  description = "Retention log policy."
  type        = number
}

variable "tags" {
  type        = map(string)
  description = "Tags for state machine"
}

variable "iam_policy_prefix" {
  type = string
}

variable "enable_iam_policies" {
  type    = bool
  default = true
}